Package org.springframework.security.config.annotation.web.configurers

# Class PasswordManagementConfigurer<B extends HttpSecurityBuilder<B>>

java.lang.Object
org.springframework.security.config.annotation.SecurityConfigurerAdapter<org.springframework.security.web.DefaultSecurityFilterChain,B>
org.springframework.security.config.annotation.web.configurers.AbstractHttpConfigurer<PasswordManagementConfigurer<B>,B>
org.springframework.security.config.annotation.web.configurers.PasswordManagementConfigurer<B>

All Implemented Interfaces:
  `SecurityConfigurer<org.springframework.security.web.DefaultSecurityFilterChain,B>`

public final class PasswordManagementConfigurer<B extends HttpSecurityBuilder<B>> extends AbstractHttpConfigurer<PasswordManagementConfigurer<B>,B>
Adds password management support.

Since:
  5.6

## Constructor Summary

Constructors
Constructor
Description
`PasswordManagementConfigurer()`

## Method Summary

Modifier and Type
Method
Description
`PasswordManagementConfigurer<B>`
`changePasswordPage(String changePasswordPage)`
Sets the change password page.
`void`
`configure(B http)`
Configure the `SecurityBuilder` by setting the necessary properties on the `SecurityBuilder`.

### Methods inherited from class org.springframework.security.config.annotation.web.configurers.AbstractHttpConfigurer

`disable, getSecurityContextHolderStrategy, withObjectPostProcessor, withObjectPostProcessor`

### Methods inherited from class org.springframework.security.config.annotation.SecurityConfigurerAdapter

`addObjectPostProcessor, addObjectPostProcessor, and, getBuilder, init, postProcess, setBuilder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PasswordManagementConfigurer

public PasswordManagementConfigurer()

## Method Details

### changePasswordPage

public PasswordManagementConfigurer<B> changePasswordPage(String changePasswordPage)
Sets the change password page. Defaults to `DEFAULT_CHANGE_PASSWORD_PAGE`.

Parameters:
  `changePasswordPage` - the change password page
Returns:
  the `PasswordManagementConfigurer` for further customizations

### configure

public void configure(B http) throws Exception
Configure the `SecurityBuilder` by setting the necessary properties on the `SecurityBuilder`.

Specified by:
  `configure` in interface `SecurityConfigurer<org.springframework.security.web.DefaultSecurityFilterChain,B extends HttpSecurityBuilder<B>>`
Overrides:
  `configure` in class `SecurityConfigurerAdapter<org.springframework.security.web.DefaultSecurityFilterChain,B extends HttpSecurityBuilder<B>>`
Throws:
  `Exception`